package app.furmeet.events.megaplex.helper

import app.furmeet.events.megaplex.helper.observables.Observable
import com.google.gson.ExclusionStrategy
import com.google.gson.FieldAttributes

class ObservableFieldsExclusionStrategy : ExclusionStrategy {
    override fun shouldSkipClass(clazz: Class<*>?): Boolean = false

    override fun shouldSkipField(f: FieldAttributes): Boolean =
            f.declaringClass == Observable::class.java

}